comment -*- mode: text -*-
comment $Id$

mlterm indic support

Following is a instruction of setting up mlterm indic support.

* Installation
  $ ./configure --enable-ind (--enable-anti-alias)
  $ make
  $ make install
  
  Then, setup ~/.mlterm/font or ~/.mlterm/aafont.
  (etc/font.indic, etc/aafont.indic and etc/font.win32.indic in mlterm source
  tree are samples. Note that mlterm supports ISCII fonts alone. Unicode fonts
  of indic characters are not supported.)

* Usage
  $ mlterm -E utf8 -w 16 -m --im=kbd:isciihindi --lsp 2 --bi=false --ind --type=xft

  o -E option specifies character encoding.
    "utf8" or "isciixxx"(like "isciihindi") are available.
  o -m option enables character combining, which is necessary since mlterm
    diverts character combining framework for rendering ISCII glyph internally.
    This option is automatically turned on.
  o -w [font size] specifies font size you want to use. (optional)
  o --im option specifies input method to be used. For ISCII use kbd input
    method.
  o --lsp [line space size] specifies pixels of line space according to appearance of
    a selected font. (optional)
  o --bi=false is necessary because bidi and ind can't coexist.
  o --ind enables rendering indic characters.
  o --type=xft enables xft. (optional)

  Pressing the key defined as IM_HOTKEY in ~/.mlterm/key lets you use ISCII
  inputting.
  IM_HOTKEY switches the loop Inscript => Phonetic => US ASCII => Inscript ...

* Notice
  o We are not a native speaker and mlterm indic support itself may be still
    unstable.
    So if you find something strange or wrong about it, please report it without
    reservation to Mlterm-dev-en.
    (http://lists.sourceforge.net/lists/listinfo/mlterm-dev-en)


Following e-mail describes how to setup mlterm to show and input hindi characters.
(Thanks to sumeet inani)
Note that -V option is no longer necessary since mlterm version 3.0.9.
--------------------------------------------------------------------------------
Date: Tue, 9 Aug 2011 12:33:22 +0530
Subject: Re: installing mterm with indic support
From: sumeet inani
To: Araki Ken <arakiken@users.sf.net>

Success achieved with your inputs.

Here is what I did
(1)installed mlterm-3.0.6post-20110807 using (output logs attached)

./configure --enable-fribidi --enable-ind --enable-m17nlib --enable-scim
--enable-anti-alias
make
make install
(2)Created file ~/.mlter/aafont containing ' ISCII_HINDI = DV\-TTYogesh 23 '
Installed font DVYG0ntt.ttf from http://mlterm.sf.net/DVYG0ntt.ttf
Created another file ~/.mlterm/key containing  ' Shift+space=IM_HOTKEY '  .
Though I use scim-transliteration.
(3)Now i ran
mlterm -E utf8 --im=scim  --bi=false --ind --type=xft -V

Result.jpg shows beautiful hindi letters .


I read meaning of those options.
-V variable column width
xft rendering engine
indic rendering enabled , while right-to-left language disabled.

You can forward this when you come across another newbie.

Thank You . Very much.
